#eureka client配置
eureka:
  instance:
    # 注册时使用ip而不是主机名
    preferIpAddress: true
    instanceId: ${spring.cloud.client.ip-address}:${server.port}
    health-check-url-path: /actuator/health
    # 状态地址为api地址
    statusPageUrlPath: /${server.servlet.contextpath:}/apidoc.html
    leaseRenewalIntervalInSeconds: 60 #租期更新时间间隔（默认30秒） 客户端发送心跳检测时间间隔
    leaseExpirationDurationInSeconds: 90 #租期到期时间（默认90秒）

server:
  servlet:
    contextpath:
  port: 27216

spring:
  profiles:
    active: qingniu

#springboot admin配置   
#management:
#  endpoints:
#    web:
#      exposure:
#        include: "*"
hystrix:
  command:
    default:
      circuitBreaker:
        enabled: true
      requestCache:
        enabled: true
      fallback:
        enabled: true
      execution:
        timeout:
          enabled: true
        isolation:
          thread:
            timeoutInMilliseconds: 60000

ribbon:
  ReadTimeout: 60000
  ConnectTimeout: 60000
  MaxAutoRetries: 2
  MaxAutoRetriesNextServer: 1
  
feign:
  hystrix:
    enabled: true

prolog.tx.url: http://192.168.40.143:7000/tx/manager/

prolog:
  auth:
    redis:
      timeout: 18000
      namespace: "upcloud-base:"
    client-id: platform-admin
    client-secret: prolog0212
    permitResource: /*.html,/**/*.css,/**/*.js,/**/*.ico,/**/*.png,/**/*.gif,/**/*.jpg,/**/font/*,/v2/api-docs,/workstage/release,/picktaskapp/getSlideway, /picktask/v1/eis/print/data, /outboundOrder/oms/bill/receive, /picktask/v1/infTaskOutBack/pallet, /picktask/v1/validateContainerNoList,/outboundOrder/oms/bill/cancelOrderOms,/outboundOrder/oms/bill/licenseImageDownload,/picktask/v1/tms/releaseWorkStageByTms,/picktask/autoPostBackOmsPackingData,/erp-outRequest/*,/inner/check/v2/applyForPickSlide,/invoicePdf/getInvoicePdfUrl,/wave/v1/autoCreateWave,/tms/**,/rf/outcheck/applyForPackageWeigh,/picktaskapp/getLHFaceOrder,/rf/outcheck/retryCallbackToERPByTable,/do/print/out-detailed-download-extends,/rf/outcheck/auto/outercheck-confirm,/picktask/changeTaskQty
  apidoc:
    title: 出库服务
    basePackage: com.prolog.cs.biz.outbound
    description: 出库服务
    version: 1.0
  dao:
    dialect: oracle
    pagehelper: #pagehelper分页插件配置
      helperDialect: ${prolog.dao.dialect}
      reasonable: true
      supportMethodsArguments: true
      pageSizeZero: true
      params: count=countSql
    mybatis:
      typeAliasesPackage: com.prolog.cs.biz.outbound.model
      mapperLocations: classpath:mappers/*.xml
      configuration:
        map-underscore-to-camel-case: true
  security:
    accessTokenValiditySeconds: 3600
    refreshTokenValiditySeconds: 30000
  web:
    multipart:
      maxFileSize: 50MB
      maxRequestSize: 50MB
  service:
    operate: upcloud-base-wh-operate
    inventory: upcloud-base-inventory
    item: upcloud-base-item
    strategy: upcloud-base-strategy
    warehouse: upcloud-base-wh
    power: service-platform-power-base
    control: upcloud-base-wh-control
    inbound: upcloud-base-wh-inbound
    integration : service-integration
    common: upcloud-base-common
    chain: upcloud-base-chain
    eis: SERVICE-EIS-WMS
    gsp: upcloud-base-gsp
  interfaceId:
    sendAgv: 282
    sendWms: 291
    updateAgvStatus: 293
    updateBillPriority: 394

mq:
  wave:
    response:
      queueName: responseQueue
      topicName: topic.wave.response
    request:
      queueName: waveRequestQueue
      topicName: topic.wave.request
management:
  endpoints:
    web:
      exposure:
        include: "*"
        exclude: "shutdown"
  endpoint:
    logfile:
      external-file: /usr/local/logs/upcloud-bash-wh-outbound-hnsyy/info.log  #info日志文件路径 等效logging.file或者logging.path
      health.show-details: always
